Method: projects.locations.repositories.workspaces.fetchCurrentBranch

Fetches the current branch of a workspace.

HTTP request


GET https://dataform.googleapis.com/v1beta1/{name=projects/*/locations/*/repositories/*/workspaces/*}:fetchCurrentBranch

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The workspace resource name. Format: projects/{project}/locations/{location}/repositories/{repository}/workspaces/{workspace}

Request body

The request body must be empty.

Response body

Response message for workspaces.fetchCurrentBranch method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "branchName": string
}
Fields
branchName

string

The name of the current branch for the workspace.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/bigquery

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • dataform.workspaces.fetchCurrentBranch

For more information, see the IAM documentation.